---
search:
  tags:
    - Wishlist
    - POST
seo:
  description: >-
    Create a new empty wishlist for the authenticated user. Reference for the
    POST /api/v1/{app_id}/wishlists endpoint in the Customers API.
sidebar:
  label: Create a new wishlist
  badge: POST
title: Create a new wishlist
type: openapi-operation
---
Create a new empty wishlist for the authenticated user

`POST /api/v1/{app_id}/wishlists`

**Request body** (`application/json`, required)

Wishlist creation data

- `is_default` (boolean)
- `name` (string, required)

Request body example:

```json
{
  "is_default": true,
  "name": "string"
}
```

**Responses**

- `200` — OK
- `400` — Invalid request
- `401` — Unauthorized
- `500` — Internal server error

Response example, 200:

```json
{
  "created_at": "string",
  "id": "string",
  "is_default": true,
  "item_count": 0,
  "name": "string",
  "updated_at": "string",
  "user_id": "string"
}
```
